/*
 *	proto.h for nparse.c
 */

/*****************************************************************************
 *	getopt.c  		
 ****************************************************************************/

#if __DOS__
char getopt ( int argc , const char *argv [], const char *optstring );
#endif

/*****************************************************************************
 *	parse.c   		
 ****************************************************************************/

int	readshort(FILE *fhand, short *shortval);
int	readlong(FILE *fhand, long *lval);
int	do_pitchpatch(short *channel, short *pitch, short *priority);
void	note_on(MEVENT *, short channel, unsigned short pitch, unsigned short vol, long ctime);
void	note_off(short channel, short pitch, long ctime);
void	pan_value(short channel, short value, long time);
void	vol_value(short channel, short value, long time);
void	pitch_bend(short channel, short value, long time);
void	patch_change(short channel, short patch);
long	get_delta(int handle);
int	get_event(int, struct _mevent *tp);
long	tread(int handle, long size, char *ptr);
long	tseek(long pos, int handle, int mode);
void 	read_cnf(void);
void	usage(void);
void	main(int argc , char **argv);
